package market.Mes.Tpm.vo;

public class PlnSkinRollingView {

	private String rcv_name;//客户简称
	private String material_no;
	private String material_no_src;
	private String send_flag;
	private String status;
	private String hand_over_status;
	private String coil_no;
	private String steel_code;
	private String steel_name;
	private Double mtr_thr_wgt;
	private String order_memo;
	private String buttress_no;
	private String sr_plan_no;
	private Long sr_seq;//平整序号
	private Double mtr_thk;
	private Double mtr_wdt;
	private Double mtr_len;
	private Double mtr_inn_dia;
	private Double mtr_out_dia;
	private Double mtr_act_wgt;
	private String coil_no_2;
	private String coil_no_3;
	private String coil_no_4;
	private String coil_no_5;
	private String object_no_vt;
	//private String plan_opt_time;//PDI下发时间   改为send_time;
	private String send_time;
	private String send_man_name;
	private String plan_opt_time;
	private String create_time;
	private String create_man_name;
	private Long plan_seq;//计划顺序号
	private String machine_code;
	private String whole_process_names;//工艺路径
	private String weight_type_name;
	private String machine_name;
	
	//20201225 黄T：各机组作业管理界面新增显示字段
	private String is_oil;//是否涂油
	private String is_side_cute;//是否切边
	private String single_weight_request;//单卷重量要求
	private String india_require;//内径要求
	private String pk_ask_desc;//包装要求
	private String flaw_desc;//缺陷描述
	private String plan_work_date;//计划平整时间
	private String plan_sign_date;//计划交工时间
	public String getMachine_name() {
		return machine_name;
	}
	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}
	
	private String user_no;
	
	public String getUser_no() {
		return user_no;
	}

	public void setUser_no(String user_no) {
		this.user_no = user_no;
	}
	
	// 交货期：deliver_date
	private String deliver_date;//计划交工时间
	public String getDeliver_date() {
		return deliver_date;
	}
	public void setDeliver_date(String deliver_date) {
		this.deliver_date = deliver_date;
	}
	
	public String getCoil_no_3() {
		return coil_no_3;
	}
	public void setCoil_no_3(String coil_no_3) {
		this.coil_no_3 = coil_no_3;
	}
	public String getCoil_no_4() {
		return coil_no_4;
	}
	public void setCoil_no_4(String coil_no_4) {
		this.coil_no_4 = coil_no_4;
	}
	public String getCoil_no_5() {
		return coil_no_5;
	}
	public void setCoil_no_5(String coil_no_5) {
		this.coil_no_5 = coil_no_5;
	}
	public String getWhole_process_names() {
		return whole_process_names;
	}
	public void setWhole_process_names(String whole_process_names) {
		this.whole_process_names = whole_process_names;
	}
	public String getRcv_name() {
		return rcv_name;
	}
	public void setRcv_name(String rcv_name) {
		this.rcv_name = rcv_name;
	}
	public String getMaterial_no() {
		return material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}
	public String getMaterial_no_src() {
		return material_no_src;
	}
	public void setMaterial_no_src(String material_no_src) {
		this.material_no_src = material_no_src;
	}
	public String getSend_flag() {
		return send_flag;
	}
	public void setSend_flag(String send_flag) {
		this.send_flag = send_flag;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getHand_over_status() {
		return hand_over_status;
	}
	public void setHand_over_status(String hand_over_status) {
		this.hand_over_status = hand_over_status;
	}
	public String getCoil_no() {
		return coil_no;
	}
	public void setCoil_no(String coil_no) {
		this.coil_no = coil_no;
	}
	public String getSteel_code() {
		return steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}
	public String getSteel_name() {
		return steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}
	public Double getMtr_thr_wgt() {
		return mtr_thr_wgt;
	}
	public void setMtr_thr_wgt(Double mtr_thr_wgt) {
		this.mtr_thr_wgt = mtr_thr_wgt;
	}
	public String getOrder_memo() {
		return order_memo;
	}
	public void setOrder_memo(String order_memo) {
		this.order_memo = order_memo;
	}
	public String getButtress_no() {
		return buttress_no;
	}
	public void setButtress_no(String buttress_no) {
		this.buttress_no = buttress_no;
	}
	public String getSr_plan_no() {
		return sr_plan_no;
	}
	public void setSr_plan_no(String sr_plan_no) {
		this.sr_plan_no = sr_plan_no;
	}
	public Long getSr_seq() {
		return sr_seq;
	}
	public void setSr_seq(Long sr_seq) {
		this.sr_seq = sr_seq;
	}
	public Double getMtr_thk() {
		return mtr_thk;
	}
	public void setMtr_thk(Double mtr_thk) {
		this.mtr_thk = mtr_thk;
	}
	public Double getMtr_wdt() {
		return mtr_wdt;
	}
	public void setMtr_wdt(Double mtr_wdt) {
		this.mtr_wdt = mtr_wdt;
	}
	public Double getMtr_len() {
		return mtr_len;
	}
	public void setMtr_len(Double mtr_len) {
		this.mtr_len = mtr_len;
	}
	public Double getMtr_inn_dia() {
		return mtr_inn_dia;
	}
	public void setMtr_inn_dia(Double mtr_inn_dia) {
		this.mtr_inn_dia = mtr_inn_dia;
	}
	public Double getMtr_out_dia() {
		return mtr_out_dia;
	}
	public void setMtr_out_dia(Double mtr_out_dia) {
		this.mtr_out_dia = mtr_out_dia;
	}
	public Double getMtr_act_wgt() {
		return mtr_act_wgt;
	}
	public void setMtr_act_wgt(Double mtr_act_wgt) {
		this.mtr_act_wgt = mtr_act_wgt;
	}
	public String getCoil_no_2() {
		return coil_no_2;
	}
	public void setCoil_no_2(String coil_no_2) {
		this.coil_no_2 = coil_no_2;
	}
	public String getObject_no_vt() {
		return object_no_vt;
	}
	public void setObject_no_vt(String object_no_vt) {
		this.object_no_vt = object_no_vt;
	}
	public String getSend_time() {
		return send_time;
	}
	public void setSend_time(String send_time) {
		this.send_time = send_time;
	}
	public String getSend_man_name() {
		return send_man_name;
	}
	public void setSend_man_name(String send_man_name) {
		this.send_man_name = send_man_name;
	}
	public String getPlan_opt_time() {
		return plan_opt_time;
	}
	public void setPlan_opt_time(String plan_opt_time) {
		this.plan_opt_time = plan_opt_time;
	}
	public String getCreate_time() {
		return create_time;
	}
	public void setCreate_time(String create_time) {
		this.create_time = create_time;
	}
	public String getCreate_man_name() {
		return create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}
	public Long getPlan_seq() {
		return plan_seq;
	}
	public void setPlan_seq(Long plan_seq) {
		this.plan_seq = plan_seq;
	}
	public String getMachine_code() {
		return machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}
	public String getWeight_type_name() {
		return weight_type_name;
	}
	public void setWeight_type_name(String weight_type_name) {
		this.weight_type_name = weight_type_name;
	}
	
	//订单厚度
	private String order_thick;
	public String getOrder_thick() {
	    return order_thick;
	}
	public void setOrder_thick(String order_thick) {
	    this.order_thick = order_thick;
	}
	  
	//订单宽度
	private String order_width;
	public String getOrder_width() {
	    return order_width;
	}
	public void setOrder_width(String order_width) {
		this.order_width = order_width;
	}
	public String getIs_oil() {
		return is_oil;
	}
	public void setIs_oil(String is_oil) {
		this.is_oil = is_oil;
	}
	public String getIs_side_cute() {
		return is_side_cute;
	}
	public void setIs_side_cute(String is_side_cute) {
		this.is_side_cute = is_side_cute;
	}
	public String getSingle_weight_request() {
		return single_weight_request;
	}
	public void setSingle_weight_request(String single_weight_request) {
		this.single_weight_request = single_weight_request;
	}
	public String getIndia_require() {
		return india_require;
	}
	public void setIndia_require(String india_require) {
		this.india_require = india_require;
	}
	public String getPk_ask_desc() {
		return pk_ask_desc;
	}
	public void setPk_ask_desc(String pk_ask_desc) {
		this.pk_ask_desc = pk_ask_desc;
	}
	public String getFlaw_desc() {
		return flaw_desc;
	}
	public void setFlaw_desc(String flaw_desc) {
		this.flaw_desc = flaw_desc;
	}
	public String getPlan_work_date() {
		return plan_work_date;
	}
	public void setPlan_work_date(String plan_work_date) {
		this.plan_work_date = plan_work_date;
	}
	public String getPlan_sign_date() {
		return plan_sign_date;
	}
	public void setPlan_sign_date(String plan_sign_date) {
		this.plan_sign_date = plan_sign_date;
	}
	
	// 是否送样：1是 0或null否
	private String songyang;
	public String getSongyang() {
		return songyang;
	}
	public void setSongyang(String songyang) {
		this.songyang = songyang;
	}
}
